Skip to main content
GET
/
presets
/
{slug}
/
versions
/
{version}
Get a specific version of a preset
curl --request GET \
  --url https://openrouter.ai/api/v1/presets/{slug}/versions/{version} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "config": {
      "model": "openai/gpt-4o",
      "temperature": 0.7
    },
    "created_at": "2026-04-20T10:00:00Z",
    "creator_id": "user_2dHFtVWx2n56w6HkM0000000000",
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "preset_id": "650e8400-e29b-41d4-a716-446655440001",
    "system_prompt": "You are a helpful assistant.",
    "updated_at": "2026-04-20T10:00:00Z",
    "version": 1
  }
}

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Path Parameters

slug
string
required

URL-safe slug identifying the preset.

Minimum string length: 1
Example:

"my-preset"

version
string
required

Version number of the preset.

Minimum string length: 1
Example:

"1"

Response

The requested preset version.

A single version of a preset.

data
object | null
required

A specific version of a preset, containing config and optional system prompt.

Example:
{
"config": {
"model": "openai/gpt-4o",
"temperature": 0.7
},
"created_at": "2026-04-20T10:00:00Z",
"creator_id": "user_2dHFtVWx2n56w6HkM0000000000",
"id": "550e8400-e29b-41d4-a716-446655440000",
"preset_id": "650e8400-e29b-41d4-a716-446655440001",
"system_prompt": "You are a helpful assistant.",
"updated_at": "2026-04-20T10:00:00Z",
"version": 1
}